{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "http://json-buddy.com/library/root",
  "description": "Schema for a library",
  "type": "object",
  "properties": {
    "bib": {
      "type": "object",
      "description": "A library.",
      "properties": {
        "book": {
          "$ref": "http://json-buddy.com/library/book"
        }
      }
    }
  },
  "$defs": {
    "author": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}